---
title: MerchantValidationEvent.methodName
slug: Web/API/MerchantValidationEvent/methodName
tags:
  - API
  - Commerce
  - Identifier
  - Merchant
  - MerchantValidationEvent
  - NeedsExample
  - Payment Method
  - Payment Method Identifier
  - Payment Request
  - Payment Request API
  - Property
  - Reference
  - Validation
  - methodName
  - payment
---
<p>{{deprecated_header}}{{non-standard_header}}{{securecontext_header}}</p>

<p><span class="seoSummary">The {{domxref("MerchantValidationEvent")}} property <code><strong>methodName</strong></code> is a read-only value which returns a string indicating the payment method identifier which represents the payment handler that requires merchant validation.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>methodID</em> = <em>merchantValidationEvent</em>.methodName;</pre>

<h3 id="Value">Value</h3>

<p>A read-only {{domxref("DOMString")}} which uniquely identifies the payment handler which is requesting merchant validation. See {{SectionOnPage("/en-US/docs/Web/API/Payment_Request_API/Concepts", "Merchant validation")}} for more information on the process.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MerchantValidationEvent.methodName")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Concepts">Payment processing concepts</a></li>
</ul>
